/****************************************************************************
 UI32.h
 
 Description:
     Collects the interfaces required to use the UI Engine.
 
 Copyright (C) 1997-1999 Research In Motion Limited
 ***************************************************************************/

#ifndef ui_h_included
#define ui_h_included

#include "warning.h"

//top level
#include "uiengine.h"       
#include "services.h"

//main elements
#include "screen.h"      
#include "menu.h"      
#include "status.h"

//components
#include "label.h"
#include "Busystatus.h"

//fields
#include "edit.h"
#include "list.h"
#include "datetime.h"
#include "table.h"
#include "choice.h"
#include "separator.h"
      
#endif

