/****************************************************************************
 Result.h
 
 Description:
    Result codes returned from ProcessScreen, ProcessMenu, ProcessDialog.
 
 Copyright (C) 1997-1999 Research In Motion Limited
 ***************************************************************************/

#ifndef result_h_included
#define result_h_included

#ifdef DLLAccess
#undef DLLAccess
#endif

#ifdef _UI_
#define DLLAccess DLLExport
#else
#define DLLAccess DLLImport
#endif

#include "warning.h"
typedef
enum   
{ 
    UI_SWITCH_TO_BACKGROUND = -4,
    HIDE_MENU     = -3,
    UNHANDLED   = -2,
    CONTINUE    = -1,
    CLICKED     = 1

} RESULT;   

      
#endif
